workspaces_access_check_create
POST
/api/workspaces/{id}/access-check
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-check';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/access-check \ --header 'Authorization: Bearer <token>'Check again the access of the user to all the data they see in a workspace.
Every source is queried, which may take long: while a check of the user is
under way, no other one is started. Its end is announced by the websocket
message update_data_access.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this workspace.
Responses
Section titled “Responses”Media typeapplication/json
The answer to a request for a check of the access of the user.
object
started
required
False when a check was already under way: none is added.
boolean
check_in_progress
required
boolean
Example generated
{ "started": true, "check_in_progress": true}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "workspace", "code": "not_allowed", "message": "You are not a member of this workspace." } ]}Media typeapplication/json
object
code
required
string
message
required
string
details
required
Array<object>
object
parameter
string
code
string
message
string
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
